package config

import (
	"git.apinb.com/bsm-sdk/core/conf"
)

var (
	Spec SrvConfig
)

type SrvConfig struct {
	conf.Base `yaml:",inline"`
	Databases *conf.DBConf            `yaml:"Databases"`
	Rpc       map[string]conf.RpcConf `yaml:"Rpc"`
	Apm       *conf.ApmConf           `yaml:"APM"`
	Etcd      *conf.EtcdConf          `yaml:"Etcd"`
}

func New(srvKey string) {
	// 初始化配置 创建一个新的配置实例，用于服务配置
	conf.New(srvKey, &Spec)

	// 配置校验 服务端口如果不合规，则随机分配端口
	Spec.Port = conf.CheckPort(Spec.Port)

	// 配置校验 服务名称地址及监听地址不能为空
	conf.NotNil(Spec.Service, Spec.Cache)
}
